import { baseRequest } from "@/utils/request";
const request = (url, ...arg) => baseRequest(`/openGovernment/` + url, ...arg);
export default {
  // 网站获取公告内容+附件
  openGuide(data) {
    return request("ogPublicGuidance/getNewContentAndAttachments", data, "get");
  },
  // 获取公开制度管理表分页
  institution(data) {
    return request("ogPublicSystem/getAll", data, "get");
  },
  // 管理端，网站 获取公开制度详情
  institutionDetails(data) {
    return request("ogPublicSystem/detail", data, "get");
  },
  // 获取政务公开-公开年报管理表分页
  annualReport(data) {
    return request("ogAnnualReportService/getAll", data, "get");
  },
  // 网站-获取政策文件
  policyFile(data) {
    return request("ogPolicyFile/getAll", data, "get");
  },
  // 网站-获取政策解读--文字解读
  textInterpretation(data) {
    return request(
      "ogPolicyInterpretation/getTextualInterpretationAll",
      data,
      "get"
    );
  },
  // 网站-获取政策解读--图文解读
  imageInterpretation(data) {
    return request(
      "ogPolicyInterpretation/getPictureInterpretationAll",
      data,
      "get"
    );
  },
  // 网站-获取行政规范性文件
  authorityFile(data) {
    return request("ogAdministrativeDocument/getAll", data, "get");
  },
  // 获取政务公开-工作年报管理表分页
  workAnnualReport(data) {
    return request("ogWorkAnnualReport/getAll", data, "get");
  },
  // 网站-依公开申请
  applyPublic(data) {
    return request("ogOpenInfoRequest/add", data, "post");
  },
  //网站-依公开申请查询
  queryResult(data) {
    return request("ogOpenInfoRequest/find", data, "get");
  },
  // 获取公开内容管理-履职依据表详情
  performanceBasis(data) {
    return request("ogDutyBasis/getOgDutyBasis", data, "get");
  },
  // 网站-主动公开文件表详情
  publicDocument(data) {
    return request("ogProactiveDisclosure/page", data, "get");
  },
  // 获取公开内容管理-行政处罚表详情
  penalize(data) {
    return request(
      "ogAdministrativePenalty/OgAdministrativePenaltyPage",
      data,
      "get"
    );
  },
  // 网站-主动公开文件表详情
  permission(data) {
    return request(
      "ogAdministrativeLicense/OgAdministrativeLicensePage",
      data,
      "get"
    );
  },
  // 网页-年度计划表分页
  annualPlan(data) {
    return request("ogPlan/ogPlanAnnualPlanPage", data, "get");
  },
  // 网页-中长期计划表分页
  plan(data) {
    return request("ogPlan/ogPlanLongTermPage", data, "get");
  },
  // 网页-财政决预算表分页
  finance(data) {
    return request("ogFinancialBudget/ogFinancialBudgetPage", data, "get");
  },
};
